Skip to main content
PATCH
/
workspaces
/
{workspace_id}
/
case-dropdowns
/
{definition_id}
/
options
/
{option_id}
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "label": "<string>",
  "ref": "<string>",
  "position": 123,
  "icon_name": "<string>",
  "color": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

definition_id
string<uuid4>
required
option_id
string<uuid4>
required
workspace_id
string<uuid>
required

Body

application/json

Update an existing dropdown option.

label
string | null
Required string length: 1 - 255
ref
string | null
Required string length: 1 - 255
icon_name
string | null
Maximum string length: 100
color
string | null
Maximum string length: 50
position
integer | null

Response

Successful Response

Read model for a dropdown option.

id
string<uuid>
required
label
string
required
ref
string
required
position
integer
required
icon_name
string | null
color
string | null